## org.apache.maven.shared.io.scan.mapping
Class SuffixMapping

    java.lang.Object
      org.apache.maven.shared.io.scan.mapping.SuffixMapping

All Implemented Interfaces:
  SourceMapping

    public final class SuffixMapping

extends java.lang.Object
implements SourceMapping

Version:
  $Id: SuffixMapping.java 595935 2007-11-17 11:39:34Z vsiveton $
Author:
  jdcasey

Constructor Summary
`SuffixMapping(java.lang.String sourceSuffix, java.util.Set targetSuffixes)`
`SuffixMapping(java.lang.String sourceSuffix, java.lang.String targetSuffix)`

Method Summary
`java.util.Set` `getTargetFiles(java.io.File targetDir, java.lang.String source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuffixMapping

    public SuffixMapping(java.lang.String sourceSuffix,
                         java.lang.String targetSuffix)

### SuffixMapping

    public SuffixMapping(java.lang.String sourceSuffix,
                         java.util.Set targetSuffixes)

Method Detail

### getTargetFiles

    public java.util.Set getTargetFiles(java.io.File targetDir,
                                        java.lang.String source)

  Specified by:
    `getTargetFiles` in interface `SourceMapping`

Copyright © 2011. All Rights Reserved.